Cross-site scripting in Siemens SCALANCE X-200 and X-200IRT Families



Published: 2022-10-12
Risk Low
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2022-40631
CWE-ID CWE-79
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
SCALANCE X200-4P IRT
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X201-3P IRT
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X201-3P IRT PRO
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X202-2IRT
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X202-2P IRT
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X202-2P IRT PRO
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X204-2
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X204-2FM
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X204-2LD
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X204-2LD TS
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X204-2TS
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X204IRT
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X204IRT PRO
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X206-1
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X206-1LD
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X208
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X208PRO
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X212-2
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X212-2LD
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X216
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE X224
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE XF201-3P IRT
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE XF202-2P IRT
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE XF204
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE XF204-2
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE XF204-2BA IRT
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE XF204IRT
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE XF206-1
Hardware solutions / Routers & switches, VoIP, GSM, etc

SCALANCE XF208
Hardware solutions / Routers & switches, VoIP, GSM, etc

SIPLUS NET SCALANCE X202-2P IRT
Hardware solutions / Routers & switches, VoIP, GSM, etc

Vendor

Security Bulletin

This security bulletin contains one low risk vulnerability.

1) Cross-site scripting

EUVDB-ID: #VU68262

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2022-40631

CWE-ID: CWE-79 - Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting')

Exploit availability: No

Description

The disclosed vulnerability allows a remote attacker to perform cross-site scripting (XSS) attacks.

The vulnerability exists due to insufficient sanitization of user-supplied data. A remote attacker can trick the victim to follow a specially crafted link and execute arbitrary HTML and script code in user's browser in context of vulnerable website.

Successful exploitation of this vulnerability may allow a remote attacker to steal potentially sensitive information, change appearance of the web page, perform phishing and drive-by-download attacks.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

SCALANCE X200-4P IRT: before 5.5.0

SCALANCE X201-3P IRT: before 5.5.0

SCALANCE X201-3P IRT PRO: before 5.5.0

SCALANCE X202-2IRT: before 5.5.0

SCALANCE X202-2P IRT: before 5.5.0

SCALANCE X202-2P IRT PRO: before 5.5.0

SCALANCE X204-2: before 5.2.5

SCALANCE X204-2FM: before 5.2.5

SCALANCE X204-2LD: before 5.2.5

SCALANCE X204-2LD TS: before 5.2.5

SCALANCE X204-2TS: before 5.2.5

SCALANCE X204IRT: before 5.5.0

SCALANCE X204IRT PRO: before 5.5.0

SCALANCE X206-1: before 5.2.5

SCALANCE X206-1LD: before 5.2.5

SCALANCE X208: before 5.2.5

SCALANCE X208PRO: before 5.2.5

SCALANCE X212-2: before 5.2.5

SCALANCE X212-2LD: before 5.2.5

SCALANCE X216: before 5.2.5

SCALANCE X224: before 5.2.5

SCALANCE XF201-3P IRT: before 5.5.0

SCALANCE XF202-2P IRT: before 5.5.0

SCALANCE XF204: before 5.2.5

SCALANCE XF204-2: before 5.2.5

SCALANCE XF204-2BA IRT: before 5.5.0

SCALANCE XF204IRT: before 5.5.0

SCALANCE XF206-1: before 5.2.5

SCALANCE XF208: before 5.2.5

SIPLUS NET SCALANCE X202-2P IRT: before 5.5.0


CPE2.3
External links

http://cert-portal.siemens.com/productcert/pdf/ssa-501891.pdf

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###